---
title: Import a third-party certificate
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/importthirdpartysslcertificate/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/importthirdpartysslcertificate.png
---

# Import a third-party certificate

POST

/installs/{install_id}/ssl_certificates/third_party

Select code sample

```sh
curl --request POST \
  --url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/ssl_certificates/third_party \
  --header 'Authorization: Basic <credentials>' \
  --header 'Content-Type: application/json' \
  --data '{ "certificate": "aGVsbG8K", "private_key": "d29ybGQK" }'
```

-

Imports a third-party PEM-formatted SSL certificate and private key for the install.

## Limitations & Warnings

- `certificate` must be a base64 encoded PEM chain that includes the end-entity certificate and all intermediate CA certificates.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

## Request Bodyrequired

##### Properties

- certificate - **required** - Base64 encoded PEM certificate
- private_key - **required** - Base64 encoded PEM private key

Media typeapplication/json

object

**certificate**

required

Base64 encoded PEM certificate chain including the end-entity certificate and all intermediate CA certificates

string

**private_key**

required

The corresponding base64 encoded PEM private key

string

### Example

```json
{
  "certificate": "aGVsbG8K",
  "private_key": "d29ybGQK"
}
```

## Responses

### 200

Returns a `ThirdPartySuccessfulImportResponse` object.

Media typeapplication/json

object

**certificate**

required

Base64 encoded PEM certificate

string

**private_key**

required

Base64 encoded PEM private key

string

#### Example

```json
{
  "certificate": "aGVsbG8gd29ybGQK",
  "private_key": "aGVsbG8gd29ybGQK"
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
